import type { IntBuffer } from "@thi.ng/pixel";
/**
 * Converts a {@link IntBuffer} into a 1bit PBM byte array (binary format).
 *
 * @remarks
 * Reference: http://netpbm.sourceforge.net/doc/pbm.html
 *
 * @param buf -
 * @param comments -
 */
export declare const asPBM: (buf: IntBuffer, comments?: string[]) => Uint8Array<ArrayBuffer>;
/**
 * Converts a {@link IntBuffer} into a 8bit grayscale PGM byte array (binary
 * format).
 *
 * @remarks
 * Reference: http://netpbm.sourceforge.net/doc/pgm.html
 *
 * @param buf -
 * @param comments -
 */
export declare const asPGM: (buf: IntBuffer, comments?: string[]) => Uint8Array<ArrayBuffer>;
/**
 * Converts a {@link IntBuffer} into a 16bit grayscale PGM byte array (binary
 * format).
 *
 * @remarks
 * Reference: http://netpbm.sourceforge.net/doc/pgm.html
 *
 * @param buf -
 * @param comments -
 */
export declare const asPGM16: (buf: IntBuffer, comments?: string[]) => Uint8Array<ArrayBuffer>;
/**
 * Converts a {@link IntBuffer} into a 24bit PPM byte array (binary format).
 *
 * @remarks
 * Reference: http://netpbm.sourceforge.net/doc/ppm.html
 *
 * @param buf -
 * @param comments -
 */
export declare const asPPM: (buf: IntBuffer, comments?: string[]) => Uint8Array<ArrayBuffer>;
//# sourceMappingURL=write.d.ts.map